{
    "alpm": {
        "rootDir": "/",
        "dbPath": "/var/lib/pacman",
        "pacmanConfigFile": "/etc/pacman.conf"
    },

    "aur": {
        "enabled": true
    },

    "cacheDir": "/var/cache/repoindex",
    "storageDir": "/var/lib/repoindex",

    "server": {
        "websocketListeningAddr": "any-IPv4",
        "websocketListeningPort": 1234,
        "certFile": "some.cert",
        "keyFile": "some.key",
        "insecure": false
    },

    "repos": {
        "localEnabled": true,
        "fromPacmanConfig": true,

        "//add": [
            {"name": "examplerepo",
             "maxAge": 3600,
             "dataBaseFile": "path/to/database/file",
             "sourcesDir": "path/to/local/source/dir",
             "packagesDir": "path/to/local/pkg/dir",
             "upgradeSources": ["aur"],
             "server": [
                "https://some/mirror",
                "https://another/mirror"
             ]
            }
        ]
    }
}

